<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@E122=5A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@E200=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite POW">
    <script state="run">
      <action>maincpu.pb@E54A=08</action>
    </script>
  </cheat>

  <cheat desc="No Enemies">
    <script state="run">
      <action>maincpu.pb@E21E=30</action>
    </script>
  </cheat>

  <cheat desc="See the Dip Switch Menu to enable Invincibility."/>

  <cheat desc="Finish the Last Boss with 1 Hit Now!">
    <script state="on">
      <action>maincpu.pb@E15C=01</action>
    </script>
  </cheat>

  <cheat desc="Start this Level Again!"> <comment>Handy for when you have Invincibility DIP enabled and you want to die to change the level</comment>
    <script state="on">
      <action>maincpu.pb@E003=03</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Level">
    <parameter min="1" max="8" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@E202==00)">maincpu.pb@E202=(param-1)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
